This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 443040

Summary: Using German language: Traceback in partedUtils.py:1096 right after keyboard selection
Product: [Fedora] Fedora Reporter: Till Maas <opensource>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-22 13:57:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235706    
Attachments:
Description Flags
Screenshot of the Traceback none

Description Till Maas 2008-04-18 07:35:46 EDT
Description of problem:
I wanted to install Fedora 9 Preview in VirtualBox and right after I selected my
keyboard (de-latin1-nodeadkeys / the default for German language) a traceback
appears.

How reproducible:
always

Steps to Reproduce:
1. create Linux 2.6 virtual machine in VirtualBox 1.5.6
2. try to install from F9 Preview in textmode
3. select german / de-latin1-nodeadkeys
  
Actual results:
Traceback

Expected results:
The next step in the installer should be shown.

Additional info:
I downloaded the iso via bittorrent and it matches the sha1sum.
Comment 1 Till Maas 2008-04-18 07:35:46 EDT
Created attachment 302876 [details]
Screenshot of the Traceback
Comment 2 Till Maas 2008-04-18 07:47:58 EDT
This also happens when I want to install it with virt-manager and qemu (no kvm,
but kqemu).
Comment 3 Till Maas 2008-04-18 08:02:19 EDT
It works in VirtualBox when I select "English" as a language and
de-latin1-nodeadkeys or us as keyboard.
Comment 4 Chris Lumens 2008-04-18 08:23:31 EDT
When you're at the debugger prompt there, can you please type:

print drive

and paste the results here?  Thanks.
Comment 5 Till Maas 2008-04-18 08:45:24 EDT
(In reply to comment #4)
> When you're at the debugger prompt there, can you please type:
> 
> print drive
> 
> and paste the results here?  Thanks.

The output is "sda".
The output of print "x"+drive+"x" is "xsdax", so there should be no
special/invisible characters.
Comment 6 Jeremy Katz 2008-04-18 11:48:56 EDT
Thanks, fixed in git
Comment 7 Bill Nottingham 2008-04-22 13:57:39 EDT
Tested, confirmed fixed.